Main Page Widgets Namespaces Book

# Gtk::TreePath Class Reference
[TreeView Classes]

Typedefed as Gtk::TreeModel::Path. More...

List of all members.

## Public Methods

| TreePath (GtkTreePath* castitem, bool make_a_copy=true)
| TreePath (const TreePath& src)
TreePath& | operator= (const TreePath& src)
| ~TreePath ()
GtkTreePath* | gobj ()
const GtkTreePath* | gobj () const
GtkTreePath* | gobj_copy () const
| TreePath (bool root=false)
| TreePath (const Glib::ustring& path)
| TreePath (const TreeModel::iterator& iter)
Glib::ustring | to_string () const
| Generates a string representation of the path.
void | append_index (int index)
| Appends a new index to a path.
void | prepend_index (int index)
| Prepends a new index to a path.
int | get_depth () const
| Returns the current depth of path.
Glib::ArrayHandle<int> | get_indices () const
void | next ()
| Moves the path to point to the next node at the current depth.
bool | prev ()
| Moves the path to point to the previous node at the current depth, if it exists.
bool | up ()
| Moves the path to point to it's parent node, if it has a parent.
void | down ()
| Moves path to point to the first child of the current path.
bool | is_ancestor (TreePath& descendant) const
| Returns `true` if descendant is a descendant of path.
bool | is_descendant (TreePath& ancestor) const
| Returns `true` if path is a descendant of ancestor.

## Protected Attributes

GtkTreePath* | gobject_

## Related Functions

(Note that these are not member functions.)
bool | operator== (const TreePath& lhs, const TreePath& rhs)
bool | operator!= (const TreePath& lhs, const TreePath& rhs)
bool | operator< (const TreePath& lhs, const TreePath& rhs)
bool | operator> (const TreePath& lhs, const TreePath& rhs)
bool | operator<= (const TreePath& lhs, const TreePath& rhs)
bool | operator>= (const TreePath& lhs, const TreePath& rhs)
Gtk::TreePath | wrap (GtkTreePath* object, bool take_copy=false)

## Detailed Description

Typedefed as Gtk::TreeModel::Path.

## Constructor & Destructor Documentation

Gtk::TreePath::TreePath | ( | GtkTreePath* | castitem,
|  | bool | make_a_copy = true
| ) | `[explicit]`

Gtk::TreePath::TreePath | ( | const TreePath& | src | ) |

Gtk::TreePath::~TreePath | ( |  | ) |

Gtk::TreePath::TreePath | ( | bool | root = false | ) | `[explicit]`

Gtk::TreePath::TreePath | ( | const Glib::ustring& | path | ) | `[explicit]`

Gtk::TreePath::TreePath | ( | const TreeModel::iterator& | iter | ) | `[explicit]`

## Member Function Documentation

void Gtk::TreePath::append_index | ( | int | index | ) |

Appends a new index to a path.

As a result, the depth of the path is increased.

Parameters:

  index | The index.

void Gtk::TreePath::down | ( |  | ) |

| Moves path to point to the first child of the current path.

int Gtk::TreePath::get_depth | ( |  | ) |

Returns the current depth of path.

Returns:
  The depth of path.

Glib::ArrayHandle<int> Gtk::TreePath::get_indices | ( |  | ) |

const GtkTreePath* Gtk::TreePath::gobj | ( |  | ) | const`[inline]`

GtkTreePath* Gtk::TreePath::gobj | ( |  | ) | `[inline]`

GtkTreePath* Gtk::TreePath::gobj_copy | ( |  | ) |

bool Gtk::TreePath::is_ancestor | ( | TreePath& | descendant | ) | const

Returns `true` if descendant is a descendant of path.

Parameters:

  descendant | Another Gtk::TreePath.

Returns:
  `true` if descendant is contained inside path.

bool Gtk::TreePath::is_descendant | ( | TreePath& | ancestor | ) | const

Returns `true` if path is a descendant of ancestor.

Parameters:

  ancestor | Another Gtk::TreePath.

Returns:
  `true` if ancestor contains path somewhere below it.

void Gtk::TreePath::next | ( |  | ) |

| Moves the path to point to the next node at the current depth.

TreePath& Gtk::TreePath::operator= | ( | const TreePath& | src | ) |

void Gtk::TreePath::prepend_index | ( | int | index | ) |

Prepends a new index to a path.

As a result, the depth of the path is increased.

Parameters:

  index | The index.

bool Gtk::TreePath::prev | ( |  | ) |

Moves the path to point to the previous node at the current depth, if it exists.

Returns:
  `true` if path has a previous node, and the move was made.

Glib::ustring Gtk::TreePath::to_string | ( |  | ) |

Generates a string representation of the path.

This string is a ':' separated list of numbers. For example, "4:10:0:3" would be an acceptable return value for this string.

Returns:
  A newly-allocated string. Must be freed with Glib::free().

bool Gtk::TreePath::up | ( |  | ) |

Moves the path to point to it's parent node, if it has a parent.

Returns:
  `true` if path has a parent, and the move was made.

## Friends And Related Function Documentation

bool operator!= | ( | const TreePath& | lhs,
|  | const TreePath& | rhs
| ) | `[related]`

bool operator< | ( | const TreePath& | lhs,
|  | const TreePath& | rhs
| ) | `[related]`

bool operator<= | ( | const TreePath& | lhs,
|  | const TreePath& | rhs
| ) | `[related]`

bool operator== | ( | const TreePath& | lhs,
|  | const TreePath& | rhs
| ) | `[related]`

bool operator> | ( | const TreePath& | lhs,
|  | const TreePath& | rhs
| ) | `[related]`

bool operator>= | ( | const TreePath& | lhs,
|  | const TreePath& | rhs
| ) | `[related]`

Gtk::TreePath wrap | ( | GtkTreePath* | object,
|  | bool | take_copy = false
| ) | `[related]`

## Member Data Documentation

GtkTreePath* Gtk::TreePath::gobject_`[protected]`

The documentation for this class was generated from the following file:

- treepath.h